Page MenuHomePhabricator

[Bug] iOS app is not sending data to MobileWikiAppSearch
Closed, ResolvedPublic

Description

Steps to reproduce

1, Set breakpoints in EventLoggingFunnel.m and WMFSearchFunnel.m
https://github.com/wikimedia/wikipedia-ios/blob/1d2548e869086a279b90c2302feeb4cbadd31b59/Wikipedia/Code/EventLoggingFunnel.m#L24
https://github.com/wikimedia/wikipedia-ios/blob/a2152ac67fc4f018ed64a9a55ba51b24ec7b41a4/Wikipedia/Code/WMFSearchFunnel.m#L47
2, Start searching

Expected results

App is paused and we can see what event is being log

Actual results

App continues running

Event Timeline

chelsyx created this task.Apr 19 2018, 5:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2018, 5:40 AM

Note to myself:
Before this fix, MobileWikiAppSearch is still receiving data from some older version iOS app. Here is the median daily number of users for each version that sends data to MobileWikiAppSearch:

app versionmedian daily users
4.1.6.1501
4.1.7.17111
4.1.4.13059.5
4.1.5.144115
1.0.0.11

After 5.8.1 release, check these numbers again and make sure the we are still getting data from these versions.

Query:

SELECT wmf_app_version, percentile(n_user, 0.5) AS median_user
FROM (SELECT day, userAgent.wmf_app_version, COUNT(DISTINCT event.appInstallID) AS n_user
FROM event.mobilewikiappsearch
WHERE year=2018 AND month=4
AND userAgent.os_family='iOS'
GROUP BY day, userAgent.wmf_app_version) tb1
GROUP BY wmf_app_version
JMinor reassigned this task from NHarateh_WMF to chelsyx.May 8 2018, 2:27 AM
JMinor triaged this task as Normal priority.
JMinor added a subscriber: NHarateh_WMF.

@chelsyx assigned to you to resolve once you've confirmed the results, per your comment ^

chelsyx closed this task as Resolved.May 15 2018, 2:34 AM

Everything looks good! Thanks all!

app versionmedian daily users
1.0.0.11
4.1.4.13066
4.1.5.144108
4.1.6.1501
4.1.7.17114
5.8.1.140329727

Query:

SELECT wmf_app_version, percentile(n_user, 0.5) AS median_user
FROM (SELECT day, userAgent.wmf_app_version, COUNT(DISTINCT event.appInstallID) AS n_user
FROM event.mobilewikiappsearch
WHERE year=2018 AND month=5 AND day>11 AND day < 15
AND userAgent.os_family='iOS'
GROUP BY day, userAgent.wmf_app_version) tb1
GROUP BY wmf_app_version